Cancel queued job
curl --request DELETE \
--url https://api.hotglue.com/{env_id}/{flow}/{user_id}/jobs/queued/{queued_job_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.hotglue.com/{env_id}/{flow}/{user_id}/jobs/queued/{queued_job_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.hotglue.com/{env_id}/{flow}/{user_id}/jobs/queued/{queued_job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 101,
"env_id": "test-env",
"tenant_id": "tenant-123",
"flow_id": "customer-sync",
"status": "QUEUED",
"created_at": "2026-01-02T03:04:05+00:00",
"updated_at": "2026-01-02T03:05:06+00:00",
"job_name": "Nightly customer sync",
"override_start_date": "2026-01-01T00:00:00Z",
"override_end_date": null,
"override_selected_tables": {
"customer": true,
"orders": false
},
"override_field_map": null,
"override_env_vars": {
"DEBUG": "true"
},
"override_source_config": null,
"override_target_config": null,
"override_connector_config": null,
"override_lifecycle_webhook": {
"url": "https://example.com",
"secret": "some-secret"
}
}{
"Code": "BadRequestError",
"Message": "Queued job not found"
}Jobs
Cancel queued job
Cancels a queued job.
DELETE
/
{env_id}
/
{flow}
/
{user_id}
/
jobs
/
queued
/
{queued_job_id}
Cancel queued job
Authorizations
Path Parameters
ID of environment
ID of flow
ID of user/tenant
ID of queued job
Response
200
Example:
101
Example:
"test-env"
Example:
"tenant-123"
Example:
"customer-sync"
Example:
"QUEUED"
Example:
"2026-01-02T03:04:05+00:00"
Example:
"2026-01-02T03:05:06+00:00"
Example:
"Nightly customer sync"
Example:
"2026-01-01T00:00:00Z"
Example:
"2026-01-01T00:00:00Z"
Show child attributes
Show child attributes
Example:
{ "customer": true, "orders": false }
Example:
null
Example:
{ "DEBUG": "true" }
Example:
null
Example:
null
Example:
null
If present, this must be an object containing a required 'url' field. Set to null to remove.
Show child attributes
Show child attributes
Example:
{
"url": "https://example.com",
"secret": "some-secret"
}